﻿using System.Linq;
using System.Web.Mvc;
using CommonHotelApplication.Models;
using Model;

namespace CommonHotelApplication.Controllers
{
    [RouteArea("report")]
    public class ReportController : BaseController
    {
        private readonly HotelModel _hotelModel;

        public ReportController()
        {
            _hotelModel = new HotelModel();
        }

        [HttpGet]
        [Route("")]
        public ActionResult Index()
        {
            var hotels = _hotelModel.Hotels;
            var rezervations = _hotelModel.Resezvations;
            var joined = hotels.Join(rezervations, hotel => hotel.HotelId, reservation => reservation.Hotel_Id,(hotel, resezvation) => new {hotel, resezvation}).Select(h => new {h.hotel.Name});
            var grouped = joined.GroupBy(x => x.Name).Select(g => new { g.Key, count = g.Count()});
            return View(new ReportVM
            {
                ReportData = grouped.ToDictionary(g => g.Key, g => g.count)
            });
        }
    }
}